%global _empty_manifest_terminate_build 0
Name:		python-cloudpickle
Version:	1.5.0
Release:	1
Summary:	Extended pickling support for Python objects
License:	BSD 3-Clause License
URL:		https://github.com/cloudpipe/cloudpickle
Source0:	https://files.pythonhosted.org/packages/2b/42/1a742ae7a85e8e15a60696b0519f71db8ee04839fef6007c3859184fbe71/cloudpickle-1.5.0.tar.gz
BuildArch:	noarch


%description
Extended pickling support for Python objects

%package -n python3-cloudpickle
Summary:	Extended pickling support for Python objects
Provides:	python-cloudpickle
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-cloudpickle
Extended pickling support for Python objects

%package help
Summary:	Development documents and examples for cloudpickle
Provides:	python3-cloudpickle-doc
%description help
Extended pickling support for Python objects

%prep
%autosetup -n cloudpickle-1.5.0

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-cloudpickle -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Jul 29 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
